\documentclass[9pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../sty/present}
\usepackage{concmath-otf}
% \usepackage{unicode-math}
% \setmathfont{Concrete Math}
% \setmathfont{Concrete-Math-Regular.otf}[BoldFont=Concrete-Math-Bold.otf,CharacterVariant={10}]
\usepackage{../sty/calcii}

% Colors
% From https://color.adobe.com/ Fisher French Tomato, James Morris
\definecolor{Burgundy}{HTML}{8D001A}
\definecolor{GoldenImpression}{HTML}{FFF0CA}
\definecolor{ManiacMansion}{HTML}{00394F}
\definecolor{HazyRose}{HTML}{B29596}
\definecolor{KosherKhaki}{HTML}{8A897A}
\definecolor{UsualGray}{gray}{0.1}  % matches GoldenImpression
\setbeamercolor{frametitle}{fg=ManiacMansion,bg=white}
\setbeamercolor{part title}{fg=ManiacMansion,bg=white}
\setbeamercolor{itemize item}{fg=ManiacMansion}
\setbeamercolor{alerted text}{fg=Burgundy}

\setbeamerfont{frametitle}{size=\LARGE}
\setbeamertemplate{itemize item}{\color{ManiacMansion}$\blacktriangleright$}
\setbeamertemplate{description item}{\color{ManiacMansion}}
% \setbeamertemplate{itemize subitem}{\color{orange}$\blacktriangleright$}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
% \addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 10.1\hspace{1em} Curves defined parametrically}
% This is only inserted into the PDF information catalog. Can be left
% out. 
\subject{Curves defined parametrically}

\author{J Hef{}feron}
\institute{
  Department of Mathematics and Statistics\\
  University of Vermont  %\\[1ex]
  %\texttt{James.Hefferon@uvm.edu}
}
\date{}

% For 3D PRC asymptote
% compile with asy -inlineimage arc_length_3d
% \def\asydir{asy/}
% \graphicspath{{asy/}}
% \input asy/parametric_3d.pre
% \usepackage[bigfiles]{media9}
% \RequirePackage{asymptote}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................



% \section{}


\begin{frame}
  \frametitle{Introduction}
This is the segment of the graph of $y=2x$ between $x=0$ and~$3$.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/parametric000.pdf}}    
\end{center}
This is a static picture.
It is just a set of points.
We will add dynamism to it. 
\end{frame}


\begin{frame}
Define a function $F$ that inputs times and outputs points, 
$\map{F}{\R}{\R^2}\!$.
It is given by $F(t)=(t,2t)$.
The two \alert{component functions} are $x(t)=t$
and $y(t)=2t$.
We have $t$ run from $0$ to~$4$.
\begin{center}
  \begin{tabular}{r|cc}
    \multicolumn{1}{c}{$t$}
      &\multicolumn{1}{c}{$x(t)=t$}
      &\multicolumn{1}{c}{$y(t)=2t$}  \\ \hline
    $0$ \uncover<2->{&$0$ &$0$}   \\
    $1$ \uncover<2->{&$1$ &$2$}   \\
    $2$ \uncover<2->{&$2$ &$4$}   \\
    $3$ \uncover<2->{&$3$ &$6$}   \\
    $4$ \uncover<2->{&$4$ &$8$}   
  \end{tabular}
  \qquad
  \uncover<3->{\vcenteredhbox{\includegraphics{asy/parametric001.pdf}}}    
\end{center}
\uncover<3->{
The line segment is still there\Dash it is
the set of points
$(x(t),y(t))$ where $0\leq t\leq 4$.
But we have added more information:~in addition to describing the curve
we have described how we traversed the curve.
We go steadily from the origin to the segment's end, at a constant rate, in 
four seconds.
}
\end{frame}

\begin{frame}\vspace*{-1ex}
Here we traverse the same curve, but walking at twice the rate.
\begin{center}
  \begin{tabular}{r|cc}
    \multicolumn{1}{c}{$t$}
      &\multicolumn{1}{c}{$x(t)=2t$}
      &\multicolumn{1}{c}{$y(t)=4t$}  \\ \hline
    $0$ \uncover<2->{&$0$ &$0$}   \\
    $1$ \uncover<2->{&$2$ &$4$}   \\
    $2$ \uncover<2->{&$4$ &$8$}   
  \end{tabular}
  \qquad
  \uncover<3->{\vcenteredhbox{\includegraphics{asy/parametric002.pdf}}}    
\end{center}
\pause
\uncover<4->{And here we go in reverse.}
\begin{center}
  \uncover<4->{\begin{tabular}{r|cc}
    \multicolumn{1}{c}{$t$}
      &\multicolumn{1}{c}{$x(t)=4-t$}
      &\multicolumn{1}{c}{$y(t)=2\cdot(4-t)$}  \\ \hline}
    \uncover<4->{$0$} \uncover<5->{&$4$ &$8$}   \\
    \uncover<4->{$1$} \uncover<5->{&$3$ &$6$}   \\
    \uncover<4->{$2$} \uncover<5->{&$2$ &$4$}   \\
    \uncover<4->{$3$} \uncover<5->{&$1$ &$2$}   \\
    \uncover<4->{$4$} \uncover<5->{&$0$ &$0$}
  \uncover<4->{\end{tabular}}
  \qquad
  \uncover<5->{\vcenteredhbox{\includegraphics{asy/parametric003.pdf}}}    
\end{center}
\end{frame}


\begin{frame}\vspace*{-1ex}
We can parametrize to express acceleration.
\begin{center}
  \begin{tabular}{r|cc}
    \multicolumn{1}{c}{$t$}
      &\multicolumn{1}{c}{$x(t)=t^2$}
      &\multicolumn{1}{c}{$y(t)=2t^2$}  \\ \hline
    $0$ \uncover<2->{&$0$ &$0$}   \\
    $1$ \uncover<2->{&$1$ &$2$}   \\
    $2$ \uncover<2->{&$4$ &$8$}   
  \end{tabular}
  \qquad
  \uncover<2->{\vcenteredhbox{\includegraphics{asy/parametric004.pdf}}}    
\end{center}
\end{frame}




\begin{frame}{Definitions}
We can describe the motion of a particle along a curve $\mathcal{C}$ using 
$\map{F}{\R}{\R^2}$ where $t$ is between some $a$ and~$b$.
\begin{equation*}
  F(t) = (x(t), y(t)) 
\end{equation*}
The variable~$t$ is the \alert{parameter} 
(we often interpret it to be time but there are other possibilities).
We say that $\mathcal{C}$ has been \alert{paramatrized}.
The $x(t)$ and $y(t)$ are the \alert{coordinate functions},
and
\begin{equation*}
  x=x(t)\quad y=y(t)
\end{equation*}
are the \alert{parametric equations} of the curve.

We say that $F(a)=(x(a),y(a))$ is the \alert{initial point}
while $F(b)=(x(b),y(b))$ is the \alert{terminal point}.

\pause\medskip
{\large Notes}
\begin{itemize}
\item There is a difference between $F$ and~$\mathcal{C}$.
The latter is the curve, the totality of points reached. 
The former includes the dynamic information of how they are reached.
\item Parametrizations are not unique; a curve can have many
parametrizations.
\end{itemize}
\end{frame}



\begin{frame}{Parametrizing a circle}
This traverses the circle at an even rate.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/parametric008.pdf}}        
  \qquad
  $x(t)=\cos t, y(t)=\sin t$ with $0\leq t< 2\pi$
\end{center}
\end{frame}

\begin{frame}
This accelerates.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/parametric009.pdf}}        
  \qquad
  $x(t)=\cos t^2, y(t)=\sin t^2$ with $0\leq t<\sqrt{2\pi}$
\end{center}
\end{frame}



\begin{frame}{From a curve to a parametrization}
\Ex Take the curve that is the graph of $y=x^2$ between $x=0$ and~$3$.  
The first parametrization you might think of is this.
\begin{center}
  \begin{tabular}{r|cc}
    \multicolumn{1}{c}{$t$}
      &\multicolumn{1}{c}{$x(t)=t$}
      &\multicolumn{1}{c}{$y(t)=t^2$}  \\ \hline
    $0$ &$0$ &$0$   \\
    $1$ &$1$ &$1$   \\
    $2$ &$2$ &$4$   \\
    $3$ &$3$ &$9$
  \end{tabular}
  \qquad
  \vcenteredhbox{\includegraphics{asy/parametric005.pdf}}    
\end{center}

\only<3->{Where a curve $\mathcal{C}$ is the graph of $y=f(x)$, the
\alert{canonical parametrization} is $F(t)=(t,f(t))$.}
\end{frame}


\begin{frame}
We can engineer how we traverse a curve.

Let $\mathcal{C}$ be the parabola section from the prior slide. 
Suppose that we want to go from its start at $(0,0)$
to its end at $(3,9)$ and then back to its start.

\pause
We think of a function whose output goes from $0$ to~$3$ and back to~$0$.   
\begin{center}
  \vcenteredhbox{\includegraphics{asy/parametric006.pdf}}      
\end{center}
In that picture, going from $0$ to~$3$ and back again takes
place over an input span of~$5$.
(We can work with any span that we like; I 
arbitrarily chose the~$5$.)
So I begin with $g(t)=-t(t-5)=5t-t^2$.
That function starts at $t=0$ with $g(0)=0$, peaks when $t=2.5$, and then drops 
back to $g(5)=0$.

\pause
But it rises too high, above $3$, since~$g(2.5)=25/4$.
So I adjusted to $\hat{g}(t)=3\cdot(4/25)\cdot(5t-t^2)$, which
is pictured above.
\end{frame}


\begin{frame}
Composing $F(t)=(t,t^2)$ with  $\hat{g}$ gives 
$F(\,\hat{g}(t)\,)=(12(5t-t^2)/25,\,(12(5t-t^2)/25)^2)$.
\begin{center}
  \begin{tabular}{r|cc}
    \multicolumn{1}{c}{$t$}
      &\multicolumn{1}{c}{$x(t)=\frac{12(5t-t^2)}{25}$}
      &\multicolumn{1}{c}{$y(t)=(\frac{12(5t-t^2)}{25})^2$}  \\[0.5ex] \hline
    $0$ &$0$ &$0$   \\
    $1$ &$48/25$ &$3.5$   \\
    $2$ &$72/25$ &$8$   \\
    $2.5$ &$3$ &$9$   \\
    $3$ &$72/25$ &$8$   \\
    $4$ &$48/25$ &$3.5$   \\
    $5$ &$0$ &$0$
  \end{tabular}
  \qquad
  \vcenteredhbox{\includegraphics{asy/parametric007.pdf}}    
\end{center}  

\pause
\Ex Make a parametrization that goes back and forth five times.
\textit{Hint:}~try basing it on $\cos t$ with $0\leq t\leq 10\pi$.
\end{frame}
% sage: def g(x):
% ....:     return 12*(5*x-x^2)/25
% sage: for i in range(6):
% ....:     print("i=",i," g(i)=",g(i)," (g(i))^2=", (g(i))^2, n(g(i)^2,3))
% i= 0  g(i)= 0  (g(i))^2= 0 0.00
% i= 1  g(i)= 48/25  (g(i))^2= 2304/625 3.5
% i= 2  g(i)= 72/25  (g(i))^2= 5184/625 8.0
% i= 3  g(i)= 72/25  (g(i))^2= 5184/625 8.0
% i= 4  g(i)= 48/25  (g(i))^2= 2304/625 3.5
% i= 5  g(i)= 0  (g(i))^2= 0 0.00
% sage: g(2.5)
% 3.00000000000000




\begin{frame}{Parametrizing a line}
\Ex Consider the curve $\mathcal{C}$ that is the graph of 
$y=3x-1$.
We want to describe moving along the curve by starting at $(a,b)=(2,5)$, and 
moving steadily, that is, at a constant pace.

Start with $F(t)=(x(t),y(t))=(t,3t-1)$, which covers the correct line.
However it begins at the wrong point, that is, when $t=0$ then $F(t)=(0,-1)$.
\begin{center}
  \uncover<1->{\vcenteredhbox{\includegraphics{asy/parametric010.pdf}}}%
  \qquad    
  \uncover<2->{\vcenteredhbox{\includegraphics{asy/parametric011.pdf}}}%
\end{center}  
\pause
To adjust the start, take $g(t)=t+2$ and compose.
\begin{equation*}
 \hat{F}(t)=F(g(t))=(t+2,3(t+2)-1)=(t+2,3t+5) 
\end{equation*}
\end{frame}

\begin{frame}
\Lm
Suppose that a line passes through the point $(x_0,y_0)$.
If it has a defined slope~$m$
then it has the parametrization
$F(t)=(x_0+t,y_0+mt)$
If its slope is not defined (that is, if the line is vertical)
then it has the parametrization 
$F(t)=(x_0,t)$.   

\Pf
The vertical case is clear.
For the other case,
starting with $x=x_0+t$ solve for the parameter to get $t=x-x_0$.
Using that in $y=y_0+mt$ gives $y=y_0+m(x-x_0)$,
and we recognize $y-y_0=m(x-x_0)$ as the point-slope form of the
equation of a line.

\textit{Comment:} recall that a curve can have many parametrizations
so this result only says that it has the given parametrization,
meaning that it is one out of many. 

\pause\medskip
\Ex
Parametrize the line through $(1,3)$ and $(-1,7)$.

\pause
The slope is $m=(7-3)/(-1-1)=-2$.
We have $x(t)=1+t$ and $y(t)=3-2t$ for $-\infty\leq t\leq \infty$.

\pause
\Ex Parametrize the vertical line through $(4,5)$.

We have $x(t)=4$ and $y(t)=t$ where $-\infty\leq t\leq \infty$. 

\pause
\Ex Parametrize the horizontal line through $(4,5)$.

We have $x(t)=4+t$ and $y(t)=5$ for $-\infty\leq t\leq \infty$. 
\end{frame}




\begin{frame}{Going from the parametrization to the curve}
\Ex From the parametric description
\begin{equation*}
  x(t)=t^2-5
  \quad
  y(t)=2t
  \qquad -1\leq t\leq 2
\end{equation*}
find the curve.

\pause Rewrite $t=y/2$ and substitute to get $x=(y/2)^2-5=y^2/4-5$.   
\begin{center}
  \vcenteredhbox{\includegraphics{asy/parametric012.pdf}}%
\end{center}  
\end{frame}



\begin{frame}{The cycloid}
Roll a wheel, a unit circle, along the ground.
The wheel's point that initially touched the ground traces out a curve
called a \alert{cycloid}.
\begin{center}
  \vcenteredhbox{\includegraphics{asy/parametric013.pdf}}%
\end{center}
(\textit{Remark:} the dots are at $t=0$, $t=1$, \ldots{}\
It is hard to pick out visually but the dot at $t=6$ is not on the 
$x$~axis, it is before it.)
    
We will give the paramatrization.
\end{frame}

\begin{frame}
Here is a wheel that is a unit circle and has rolled some distance,~$t$.
We want $x=x(t)$ and $y=y(t)$.
\begin{center}
  \only<1>{\vcenteredhbox{\includegraphics{asy/parametric014.pdf}}}%
  \only<2->{\vcenteredhbox{\includegraphics{asy/parametric015.pdf}}}%
\end{center}    
\uncover<2->{%
Because the wheel has rolled by $t$~units, the length of the arc~$PQ$ 
is~$t$, as that's what has been in contact with the ground.
So in the triangle $CPR$, the angle at~$C$ measures $t$~radians.

The hypoteneuse of that triangle, $CP$, has length~$1$ and
thus the length of $PR$ is $\sin t$.
That implies $x(t)=t-\sin t$.
Similarly, the length of $CR$ is $\cos t$, which gives $y(t)=1-\cos t$.}
\end{frame}


\begin{frame}{History: the Brachistochrone problem}
A \alert{brachistochrone curve} or \alert{curve of fastest descent}, 
is the one lying in the plane between a point $A$ and a lower point $B$, 
on which a bead slides frictionlessly under the influence of gravity field 
in the shortest time.

In June~1696
Johann Bernoulli posed a problem of the brachistochrone to the readers of 
\textit{Acta Eruditorum}.

\begin{quote}\small
I, Johann Bernoulli, address the most brilliant mathematicians in the world. 
Nothing is more attractive to intelligent people than an honest, challenging problem, whose possible solution will bestow fame and remain as a lasting monument. Following the example set by Pascal, Fermat, etc., I hope to gain the gratitude of the whole scientific community by placing before the finest mathematicians of our time a problem which will test their methods and the strength of their intellect. If someone communicates to me the solution of the proposed problem, I shall publicly declare him worthy of praise.
\end{quote}

Bernoulli allowed six months for the solutions 
(there were actually two problems) but
Leibniz asked that the period be extended so that the 
French and Italian mathematicians might have no reason to complain. 
Bernoulli did that.
\end{frame}
\begin{frame}
On 29 January 1697 Newton returned at 4~pm from working at the Royal Mint and
found in his post the problems that Bernoulli had sent to him directly.
Newton stayed up to 4~am before arriving at the solution; on the 
following day he sent it to the president of the 
Royal Society for anonymous publication. 
He announced that the curve must be an upside down cycloid, 
and he gave a method of determining it.  
Solutions also came from Leibniz, Jakob Bernoulli, 
von~Tschirnhaus, and l'H\^{o}pital. 
Although his solution was anonymous, 
Bernoulli could tell that it came from Newton, 
saying ``\textit{tanquam ex ungue leonem}'' 
(we recognize the lion by his claw).

This story gives some idea of Newton's power, since Johann Bernoulli 
took two weeks to solve it.
It also gives some insight into Newton's character since he
wrote, ``I do not love to be dunned [pestered] and teased by 
foreigners about mathematical things.''
\begin{center}
  \includegraphics[height=0.35\textheight]{pix/newton.jpg}
\end{center}
\end{frame}



\end{document}
%
% These lines tells gnu-emacs to typeset with the luatex engine
% which requires Unicode encoding only (utf-8)
% ^c^t^s for toggling synctex. 
% ^-Shift-Click to move from pdf to source, Command-Shift-Click on OSX
%%% Local Variables:
%%% mode: latex
%%% TeX-engine: luatex
%%% TeX-source-correlate-method-active: synctex
%%% coding: utf-8
%%% End:
